Bug 204533 - Better prioritization of code completion items
Better prioritization of code completion items
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Editor
7.1
PC Other
: P2 (vote)
: 7.2
Assigned To: Dusan Balek
issues@java
: PLAN, USABILITY
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-01 17:02 UTC by Anton Chechel
Modified: 2012-03-15 12:29 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anton Chechel 2011-11-01 17:02:27 UTC
When user is using JavaFX, NetBeans Java Editor should propose him classes from javafx packages rather than from java.awt package in code completion.

There should be a way to register some preferable packages for code completion per project. For example JavaFX will register javafx package though some SPI and Java code completion will take it into account.
Comment 1 Dusan Balek 2012-03-13 15:16:38 UTC
Fixed in jet-main.

http://hg.netbeans.org/jet-main/rev/c41071b77850

Prioritization of code completion items is done automatically based on reference counting.
Comment 2 Quality Engineering 2012-03-15 12:29:11 UTC
Integrated into 'main-golden', will be available in build *201203150400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/c41071b77850
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #204533: Better prioritization of code completion items - fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo